## stimfit 0.16.5

=== debian/control ===
Source: stimfit
Section: science
Priority: optional
Maintainer: Christoph Schmidt-Hieber <christsc@gmx.de>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 10), dh-python, libbiosig-dev (>= 2.1.0), python3-dev, python3-numpy, libhdf5-dev, swig, python3-sip-dev, python3-wxgtk4.0 (>= 4.0.7), libwxgtk3.2-dev, libfftw3-dev, liblapack-dev, chrpath, help2man, zlib1g-dev, pkgconf
Standards-Version: 3.9.8
Homepage: http://www.stimfit.org

Package: stimfit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, libbiosig3, zlib1g-dev, python3-wxgtk4.0 (>= 4.0.7), python3-numpy, python3-matplotlib
Recommends: python3-scipy
Description: Program for viewing and analyzing electrophysiological data
 Stimfit is a free, fast and simple program for viewing and analyzing
 electrophysiological data. It features an embedded Python shell that
 allows you to extend the program functionality by using numerical
 libraries such as NumPy and SciPy.

Package: stimfit-dbg
Section: debug
Priority: optional
Architecture: any
Depends: ${misc:Depends}, stimfit
Recommends: python3-matplotlib, python3-scipy, python3-stfio
Description: Debug symbols for stimfit
 Stimfit is a free, fast and simple program for viewing and analyzing
 electrophysiological data. It features an embedded Python shell that
 allows you to extend the program functionality by using numerical
 libraries such as NumPy and SciPy. This package contains the debug
 symbols for Stimfit.

Package: python3-stfio
Section: python
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, libbiosig3, zlib1g-dev, python3-numpy
Provides: ${python3:Provides}
Recommends: python3-matplotlib, python3-scipy, python3-pandas
Description: Python module to read common electrophysiology file formats.
 The stfio module allows you to read common electrophysiology file formats
 from Python. Axon binaries (abf), Axon text (atf), HEKA (dat),
 CFS (dat/cfs), Axograph (axgd/axgx) are currently supported.
