## stimfit 0.16.6

=== debian/changelog ===
stimfit (0.16.6-1) unstable; urgency=medium

  * Install icons into appropriate locations
  * Drop build dependency on sip

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Sun, 09 Feb 2025 21:17:35 +0000

stimfit (0.16.5-1) unstable; urgency=low

  * Update to latest NumPy C API
  * Fix debian building and packaging (Closes: #1068032)

 -- Christoph Schmidt-Hieber <christsc@gmx.de>  Fri, 07 Feb 2025 18:39:37 +0000

stimfit (0.16.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * use external libbiosig instead of internal
    (configure --with-biosig instead of --with-biosiglite)

 -- Alois Schloegl <alois.schloegl@gmail.com>  Thu, 15 Aug 2024 12:56:35 +1300

stimfit (0.16.4-1) unstable; urgency=medium

  * Non-maintainer upload.
  * uses Debian's libbiosig package to build stimfit
    Improves reading ATF, ABF2, AXG, and HEKA format,
    and provides advantages of dynamic linking
  * several minor bug fixes

 -- Alois Schloegl <alois.schloegl@gmail.com>  Fri, 05 Apr 2024 00:15:00 +0200

stimfit (0.16.0-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Update to wxwidgets3.2. (Closes: #1019791)

 -- Olly Betts <olly@survex.com>  Thu, 05 Jan 2023 10:56:35 +1300

stimfit (0.16.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on python3-dev instead of python3-all-dev (Closes: #948020)
  * Patch: Avoid a deprecation warning breaking autoconf with Python 3.10.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 24 Mar 2022 15:29:58 -0400
