=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/stimfit-$1\.tar\.gz/ \
  https://github.com/neurodroid/stimfit/tags .*/v?(\d[\d.]+)\.tar\.gz
