## stimfit 0.16.11

=== debian/control ===
Source: stimfit
Section: science
Priority: optional
Maintainer: Christoph Schmidt-Hieber <christsc@gmx.de>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: chrpath,
               debhelper-compat (= 13),
               dh-python,
               help2man,
               libbiosig-dev (>= 2.1.0),
               libfftw3-dev,
               libhdf5-dev,
               liblapack-dev,
               libwxgtk3.2-dev,
               pkgconf,
               python3-dev,
               python3-numpy,
               python3-numpy-dev,
               python3-setuptools,
               python3-wxgtk4.0 (>= 4.0.7),
               sip-tools,
               swig,
               zlib1g-dev
Standards-Version: 4.7.3
Rules-Requires-Root: no
Vcs-Git: https://github.com/neurodroid/stimfit.git
Vcs-Browser: https://github.com/neurodroid/stimfit
Homepage: http://www.stimfit.org

Package: stimfit
Architecture: any
Depends: libbiosig3,
         python3-matplotlib,
         python3-numpy,
         python3-wxgtk4.0 (>= 4.0.7),
         zlib1g,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: python3-scipy
Description: Program for viewing and analyzing electrophysiological data
 Stimfit is a free, fast and simple program for viewing and analyzing
 electrophysiological data. It features an embedded Python shell that
 allows you to extend the program functionality by using numerical
 libraries such as NumPy and SciPy.

Package: python3-stfio
Section: python
Architecture: any
Depends: libbiosig3,
         zlib1g,
         ${misc:Depends},
         ${numpy:Depends},
         ${python3:Depends},
         python3-numpy,
         ${shlibs:Depends}
Provides: ${python3:Provides}
Recommends: python3-matplotlib,
            python3-pandas,
            python3-scipy
Description: Python module to read common electrophysiology file formats
 The stfio module allows you to read common electrophysiology file formats
 from Python. Axon binaries (abf), Axon text (atf), HEKA (dat),
 CFS (dat/cfs), Axograph (axgd/axgx) are currently supported.
