=== debian/watch ===
version=4
opts="pgpmode=none" \
  https://github.com/neurodroid/stimfit/tags .*/v?(\d[\d.]+)\.tar\.gz
